[arch-commits] Commit in libxdamage/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 01:38:21 EDT 2009


    Date: Tuesday, April 14, 2009 @ 01:38:21
  Author: eric
Revision: 35588

Merged revisions 356,35584 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxdamage/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35584 | eric | 2009-04-14 01:25:45 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxdamage 1.1.1-2
      Added license
........

Modified:
  libxdamage/repos/extra-i686/	(properties)
  libxdamage/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: libxdamage/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxdamage/trunk:1
   + /libxdamage/trunk:1-35587

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-14 05:34:34 UTC (rev 35587)
+++ extra-i686/PKGBUILD	2009-04-14 05:38:21 UTC (rev 35588)
@@ -3,20 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxdamage
 pkgver=1.1.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 damaged region extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxfixes>=4.0.3' 'damageproto>=1.1')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXdamage-${pkgver}.tar.bz2)
+md5sums=('ac0ce6b0063a9858c8f24ddb4c60487d')
 
 build() {
-  cd ${startdir}/src/libXdamage-${pkgver}
+  cd ${srcdir}/libXdamage-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('ac0ce6b0063a9858c8f24ddb4c60487d')



More information about the arch-commits mailing list